include:
  - project: flywheel-io/tools/etc/qa-ci
    ref: main
    file: ci/gear.yml

variables:
  PYTEST_COV_FAIL_UNDER: 80
  DEBUG: ""  # Set debug mode to print out executed command on qa-ci
  PUBLISH_POETRY: ""  # Set to true to allow CI to publish package to PYPI
  CACHE_CLEAR: "1"  # Set to true to clear runner cache on gitlab CI

#test:gear:
  # override the extends of test:gear to use a larger runner:
  #extends: [.test:gear, .gitlab-runner-medium]

publish:poetry:
  rules:
    - if: '$PUBLISH_POETRY != "" && $CI_COMMIT_TAG'
      exists: [pyproject.toml]
